Espaces de travail
Créer un espace de travail
Créer un espace de travail pour un compte.
POST
/
v1
/
public
/
accounts
/
{account_id}
/
workspaces
Créer un espace de travail
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/workspaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/workspaces"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"status": "active",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorisations
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Paramètres de chemin
Corps
application/json
Schema de demande pour creer ou mettre a jour un espace de travail.
Nom d'affichage de l'espace de travail
Required string length:
1 - 255Réponse
Compte UUID propriétaire de l'espace de travail
UUID de l’espace de travail
Nom d'affichage de l'espace de travail
Horodatage de création de l'espace de travail
État du cycle de vie de l'espace de travail
Horodatage de la dernière mise à jour de l'espace de travail
Cette page vous a-t-elle été utile ?
⌘I
Créer un espace de travail
